## vienna-rna 2.4.17+dfsg

=== src/RNAforester/g2-0.72/Makefile ===
#
#
# Makefile for g2 library
#
#

G2_VERSION = 0.72

#
# g2 installation directories
#
LIBDIR = /usr/local/lib
INCDIR = /usr/local/include


#LIBDIR = $(HOME)/local/lib
#INCDIR = $(HOME)/local/include

#
#------------------------ do not edit ------------------------
#
SHELL = /bin/sh

CC           = gcc
CFLAGS       = -I./src -g -O2  -I/usr/local/include -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_XDBE=1 -DDO_GD=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1
INSTALL      = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
FIND         = find
MAKEDEPEND   = :
AR           = gcc-ar
ARFLAGS      = cr
RANLIB       = gcc-ranlib
LD           = gcc
LDFLAGS      = 


BASE_DIR = ./src
BASE_SRC = $(BASE_DIR)/g2_device.c         $(BASE_DIR)/g2_ui_control.c \
           $(BASE_DIR)/g2_util.c           $(BASE_DIR)/g2_fif.c \
           $(BASE_DIR)/g2_virtual_device.c $(BASE_DIR)/g2_physical_device.c \
           $(BASE_DIR)/g2_graphic_pd.c     $(BASE_DIR)/g2_control_pd.c \
           $(BASE_DIR)/g2_ui_graphic.c     $(BASE_DIR)/g2_ui_virtual_device.c \
           $(BASE_DIR)/g2_ui_device.c      $(BASE_DIR)/g2_splines.c
BASE_INS = $(BASE_DIR)/g2.h


PS_DIR = ./src/PS
PS_SRC = $(PS_DIR)/g2_PS.c
PS_INS = $(PS_DIR)/g2_PS.h

FIG_DIR = ./src/FIG
FIG_SRC = $(FIG_DIR)/g2_FIG.c
FIG_INS = $(FIG_DIR)/g2_FIG.h

X11_DIR = ./src/X11
X11_SRC = $(X11_DIR)/g2_X11.c
X11_INS = $(X11_DIR)/g2_X11.h

#WIN32_DIR = ./src/WIN32
#WIN32_SRC = $(WIN32_DIR)/g2_win32.c $(WIN32_DIR)/g2_win32_thread.c 
#WIN32_INS = $(WIN32_DIR)/g2_win32.h

GD_DIR = ./src/GD
GD_SRC = $(GD_DIR)/g2_gd.c
GD_INS = $(GD_DIR)/g2_gd.h


SRC = $(BASE_SRC) $(PS_SRC) $(FIG_SRC) $(X11_SRC) $(WIN32_SRC) $(GD_SRC)
OBJ = $(SRC:.c=.o)

INS =  $(BASE_INS) $(PS_INS) $(FIG_INS) $(X11_INS) $(WIN32_INS) $(GD_INS)

#
# define some phony targets
#
.PHONY: all shared clean doc release demo

#
# major rule
#
.c.o:  
	$(CC) $(CFLAGS) $(INCLUDES) -c $< -o $@


all: libg2.a
	test -d ./include || mkdir ./include
	cp $(INS) ./include/

shared: libg2.so.0.$(G2_VERSION)
	@echo


libg2.a: $(OBJ)
	$(AR) $(ARFLAGS) libg2.a $(OBJ)
	test ! -n "$(RANLIB)" || $(RANLIB) $@

libg2.so.0.$(G2_VERSION): $(OBJ)
	ld -shared -soname libg2.so.0 -o $@ $(OBJ) 

libg2.so: libg2.so.0.$(G2_VERSION)
	ln -f -s libg2.so.0.$(G2_VERSION) $@

install: libg2.a
	test -d $(DESTDIR)/$(LIBDIR) || mkdir -p $(DESTDIR)/$(LIBDIR)
	test -d $(DESTDIR)/$(INCDIR) || mkdir -p $(DESTDIR)/$(INCDIR)
	$(INSTALL_DATA) libg2.a $(DESTDIR)/$(LIBDIR)
	for IFILE in $(INS); do \
		$(INSTALL_DATA) $$IFILE  $(DESTDIR)/$(INCDIR); \
	done

uninstall:  uninstall-libg2 uninstall-inc

uninstall-libg2:
	test -n $(DESTDIR)/$(LIBDIR)/libg2.a || exit 0; \
	rm -f $(DESTDIR)/$(LIBDIR)/libg2.a

uninstall-inc:
	test -d $(DESTDIR)/$(INCDIR) || exit 0; \
	for IFILE in $(INS); do \
		rm -f $(DESTDIR)/$(INCDIR)/`printf "%s" $$IFILE | sed 's/.*\///'`; \
	done
release: clean doc
	cp ./doc/latex/refman.ps  ./doc/g2_refman.ps
	cp ./doc/latex/refman.pdf ./doc/g2_refman.pdf
	rm -r ./doc/latex

doc:
	(cd ./doc ; doxygen Doxyfile)
	(cd ./doc/latex ; make ps ; make pdf)


clean:
	-(cd ./demo ; $(MAKE) clean)
	-(cd ./g2_python ; make clean)
	-rm -f $(OBJ)
	-rm -f libg2.a config.cache config.log Makefile.bak config.status
	-rm -f ./include/*.h
	-$(FIND) . -name "*~" -exec rm -f {} \;
	-(cd ./g2_perl ; $(MAKE) clean)
	-rm -f ./g2_perl/test.ps
	-rm -f ./g2_perl/test.png
	-rm -f ./g2_perl/test.jpg
	-rm -f ./g2_perl/test.fig
	-rm -f ./g2_perl/Makefile.old
	-rm -f ./libg2.so.0.$(G2_VERSION)
	-rm -f libg2.$(G2_VERSION).a
	-rm -f a.out
	-rm -fr doc/html/ doc/latex/ doc/g2_refman.ps doc/g2_refman.pdf

distclean:  clean

maintainer-clean:	clean


demo:	libg2.a
	(cd ./demo ; make)

depend:
	$(MAKEDEPEND) -- $(CFLAGS) $(INCLUDES) -- $(SRC)
	@echo
	@echo "Run 'make' to build g2 library."
	@echo
distdir: clean
	cp -r * $(distdir)

check:


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== src/RNAforester/g2-0.72/demo/Makefile ===
#
#
# Makefile for g2_library (demo)
#
#


CC = gcc
CXX = g++
##Linux
F77 = g77
CPP = /lib/cpp

##OSF
#F77 = f77
#F77_FLAGS=-i8

##AIX
#F77 = xlf
#CPP = /usr/ccs/lib/cpp

##IRIX
#F77 = f77 -n32
#CPP = /lib/cpp -P -DFORTRAN

CFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/Win32 -I../src/GD -I../src/FIG -g -O2  -I/usr/local/include -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_XDBE=1 -DDO_GD=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1
CXXFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/Win32 -I../src/GD/ -I../src/FIG -g -O2 -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_XDBE=1 -DDO_GD=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1
LIBS =  -L.. -lg2  -L/usr/local/lib -lm -lX11 -lXext -lgd

DEMO_PS = simple_PS
DEMO_FIG = simple_FIG
DEMO_X11 = simple_X11 pointer handles g2_anim
DEMO_GD = simple_gd
#DEMO_WIN32 = simple_win32 g2_anim


DEMO = g2_test g2_arc g2_splines_demo demo_cpp $(DEMO_PS) $(DEMO_FIG) $(DEMO_X11) $(DEMO_GD) $(DEMO_WIN32)

all:	$(DEMO)

demo:	$(DEMO)


g2_test:  g2_test.c
	$(CC) $(CFLAGS) g2_test.c $(LIBS) $(LDFLAGS) -o $@

g2_arc: g2_arc.c
	$(CC) $(CFLAGS) g2_arc.c  $(LIBS) $(LDFLAGS) -o $@

g2_splines_demo:  g2_splines_demo.c
	$(CC) $(CFLAGS) g2_splines_demo.c $(LIBS) $(LDFLAGS) -o $@

g2_anim:  g2_anim.c
	$(CC) $(CFLAGS) g2_anim.c  $(LIBS) $(LDFLAGS) -o $@


simple_PS:  simple_PS.c
	$(CC) $(CFLAGS) simple_PS.c  $(LIBS) $(LDFLAGS) -o $@

simple_FIG: simple_FIG.c
	$(CC) $(CFLAGS) simple_FIG.c  $(LIBS) $(LDFLAGS) -o $@

simple_X11:  simple_X11.c
	$(CC) $(CFLAGS) simple_X11.c  $(LIBS) $(LDFLAGS) -o $@

simple_win32:  simple_win32.c
	$(CC) $(CFLAGS) simple_win32.c  $(LIBS) $(LDFLAGS) -lkernel32 -lgdi32 -luser32 -lcomdlg32 -o $@

pointer:  pointer.c
	$(CC) $(CFLAGS) pointer.c  $(LIBS) $(LDFLAGS) -o $@

handles: handles.c
	$(CC) $(CFLAGS) handles.c  $(LIBS) $(LDFLAGS) -o $@

simple_gd:  simple_gd.c
	$(CC) $(CFLAGS) simple_gd.c  $(LIBS) $(LDFLAGS) -o $@

demo_cpp: demo_cpp.cpp
	$(CXX) $(CXXFLAGS) demo_cpp.cpp  $(LIBS) $(LDFLAGS) -o $@	

demo_f: demo_f.f
	$(F77) $(F77_FLAGS) demo_f.f  $(LIBS) $(LDFLAGS) -o $@

g2testf: g2_test.f
	$(CPP) -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_XDBE=1 -DDO_GD=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 -E g2_test.f > g2testf.f
	$(F77) g2testf.f $(LDFLAGS) -o g2testf

clean:
	-rm $(DEMO) g2testf g2testf.f demo_f *~ core *.ps *.fig *.eps *.png *.jpg *.fig.bak

=== src/RNAforester/g2-0.72/g2_python/Makefile ===
# -*- sh -*-

.PHONY: all build install demo clean

DEFS=-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_XDBE=1 -DDO_GD=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1
LIBS= -L/usr/local/lib -lm -lX11 -lXext -lgd
LDSHARED=ld

# either ../libg2.so or ../libg2.a must be there
# to make libg2.so the default, uncomment the next line and the three lines below DEPENDENCY=
#ifeq ("$(LDSHARED)","")
DEPENDENCY= libg2.a
#else
#DEPENDENCY= libg2.so
#endif

all: build

build: ../$(DEPENDENCY)
	python setup.py "$(DEFS)" "$(LIBS)" build_ext

../$(DEPENDENCY):
	cd ..; make $(DEPENDENCY)

# must be root
install: build
	python setup.py "$(DEFS)" "$(LIBS)" install

demo:
	ln -f -s $(shell find build -name g2.so) .
	python g2_test.py

clean:
	-rm -fr build
	-rm -f g2.so g2.map g2_test{_clip.eps,.{eps,ps,png,jpg,fig}} penguin.pyc

=== debian/changelog ===
vienna-rna (2.4.17+dfsg-2build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 14 Jan 2022 14:01:38 +0000

vienna-rna (2.4.17+dfsg-2build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:44:12 +0000

vienna-rna (2.4.17+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Build-Depends: python-dev
    Closes: #973956

 -- Andreas Tille <tille@debian.org>  Fri, 11 Dec 2020 09:52:15 +0100

vienna-rna (2.4.17+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Fix dependencies
    Closes: #973947
  * Standards-Version: 4.5.1 (routine-update)
  * No tab in license text (routine-update)
  * Update renamed lintian tag names in lintian overrides.

 -- Andreas Tille <tille@debian.org>  Tue, 01 Dec 2020 22:35:49 +0100

vienna-rna (2.4.16+dfsg-1) unstable; urgency=medium

  * New upstream version
    - builds with gcc-10 - removed fix-ftbfs-with-gcc-10.patch
  * Fixed incomplete installation of Perl module

 -- Steffen Moeller <moeller@debian.org>  Wed, 11 Nov 2020 23:33:33 +0100

vienna-rna (2.4.14+dfsg-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Shayan Doust ]
  * Patch to fix gcc-10 FTBFS (Closes: #966214)
  * override_dh_missing for now due to mass files not installed

 -- Shayan Doust <hello@shayandoust.me>  Sun, 20 Sep 2020 20:50:20 +0100

vienna-rna (2.4.14+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Mon, 09 Sep 2019 13:19:08 +0200

vienna-rna (2.4.13+git20190529+dfsg-1) UNRELEASED; urgency=medium

  * New upstream version
  * Removed src/json and src/cthreadpool
  * Python3 transition
  * Adjusted .install for python3 and perl interfaces

 -- Steffen Moeller <moeller@debian.org>  Mon, 24 Jun 2019 21:04:41 +0200

vienna-rna (2.4.6+dfsg-1) UNRELEASED; urgency=medium

  [ Olivier Sallou ]
  * Initial upload (Closes: #451193)

  TODO: Fix build system of new upstream version
        Remove code copy of libjson-c-dev in src/json and build depend
        from the Debian packaged code

 -- Olivier Sallou <osallou@debian.org>  Tue, 23 Dec 2014 10:35:08 +0100

=== debian/control ===
Source: vienna-rna
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Steffen Moeller <moeller@debian.org>
Section: non-free/science
XS-Autobuild: yes
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-dev,
               swig (>= 4.0.2),
               perl-doc,
               perl,
               graphviz,
               libgsl-dev,
               xxd,
               texlive-latex-extra,
               help2man,
               autoconf,
               automake,
               m4,
               pkg-config,
               libtool,
               gettext,
               libsvm-dev,
               gengetopt,
               libmpfr-dev,
               cthreadpool-dev,
               ghostscript,
               doxygen,
               texinfo
#               libg2-dev,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/vienna-rna
Vcs-Git: https://salsa.debian.org/med-team/vienna-rna.git
Homepage: https://www.tbi.univie.ac.at/RNA/
Rules-Requires-Root: no

Package: vienna-rna
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: readseq
Description: RNA sequence analysis
 The Vienna RNA Package consists of a C code library and several
 stand-alone programs for the prediction and comparison of RNA secondary
 structures. It is developed and maintained by the group of Ivo Hofacker
 in Vienna.
 .
 RNA secondary structure prediction through energy minimization is the
 most used function in the package. It provides three kinds of dynamic
 programming algorithms for structure prediction:
  * the minimum free energy algorithm of (Zuker & Stiegler 1981) which
    yields a single optimal structure,
  * the partition function algorithm of (McCaskill 1990) which calculates
    base pair probabilities in the thermodynamic ensemble, and the
    suboptimal folding algorithm of (Wuchty et.al 1999) which generates
    all suboptimal structures within a given energy range of the optimal
    energy.
 .
 For secondary structure comparison, the package contains several
 measures of distance (dissimilarities) using either string alignment or
 tree-editing (Shapiro & Zhang 1990). Finally, is provided an algorithm
 to design sequences with a predefined structure (inverse folding).
 The RNAforester package is a tool for aligning RNA secondary structures
 and it's user interface integrates to those of the tools of the
 Vienna RNA package.

Package: python3-rna
Architecture: any
Section: non-free/python
Depends: python3,
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
Description: ViennaRNA Python wrappers
 Python wrappers above ViennaRNA library.
 .
 The Vienna RNA Package consists of a C code library and several
 stand-alone programs for the prediction and comparison of RNA secondary
 structures

Package: librna-perl
Architecture: any
Section: non-free/perl
Depends: ${perl:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: ViennaRNA perl wrappers
 Perl wrappers above ViennaRNA library.
 .
 The Vienna RNA Package consists of a C code library and several
 stand-alone programs for the prediction and comparison of RNA secondary
 structures

#Package: vienna-rna-doc
#Architecture: all
#Section: non-free/doc
#Depends: ${misc:Depends},
#         libjs-jquery
#Suggests: libviennarna0 (= ${binary:Version}),
#          libviennarna-dev (= ${binary:Version})
#Description: RNA sequence analysis documentation package
# The Vienna RNA Package consists of a C code library and several
# stand-alone programs for the prediction and comparison of RNA secondary
# structures. It is developed and maintained by the group of Ivo Hofacker
# in Vienna.
# .
# This package contains the documentation for vienna-rna.

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@ --with python3


override_dh_auto_configure:
	CFLAGS="-I/usr/include/json-c/ -I/usr/include/libsvm/"  CXXFLAGS="-I/usr/include/json-c/ -I/usr/include/libsvm/" dh_auto_configure -- --with-cluster --without-python --with-python3 --without-forester --without-doc --without-tutorial
	if [ -r man/help2manWrapper.sh ]; then chmod +x man/help2manWrapper.sh; fi

override_dh_auto_build:
	if [ ! -d src/cthreadpool ]; then \
	  mkdir -p src/cthreadpool && \
	  cd src/cthreadpool && \
	  ln -s /usr/include/cthreadpool/thpool.h . && \
	  ln -s /usr/share/cthreadpool/thpool.c . ; \
	fi

	dh_auto_build
	if [ -r doc/RNAlib-*pdf; then cd doc && ln -f RNAlib-*.pdf RNAlib.pdf; fi

override_dh_auto_install:
	# rename perl scripts to remove the *.pl extension and create manpage via perldoc
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1
	#for script in `ls Utils/*.pl` ; do \
	#  newscript=`basename $${script} .pl` ; \
	#  cp -a $${script} $(CURDIR)/debian/tmp/usr/bin/$${newscript} ; \
	#  perldoc -onroff -F $${script} | \
	#  sed -e "s/$${newscript}\.pl/$${newscript}/g" \
	#  > $(CURDIR)/debian/tmp/usr/share/man/man1/$${newscript}.1 ; \
	#  if [ ! -s $(CURDIR)/debian/tmp/usr/share/man/man1/$${newscript}.1 ] ; then \
	#    rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/$${newscript}.1 ; \
	#  fi ; \
	#done
	dh_auto_install
	find debian/ -name .gitignore -delete

SHELL=/bin/bash
override_dh_auto_clean:
	dh_auto_clean
	rm -f doc/RNAlib*
	rm -f doc/*.db
	rm -f interfaces/Perl/Makefile.perl.old
	rm -f interfaces/Python/install.record
	rm -rf doc/html
	rm -rf doc/latex
	rm -rf src/cthreadpool
	#find . \( -type f -a \( -name config.status -o -name config.sub -o -name config.guess \) \) -delete
	find src/ViennaRNA -name "*.hex" -delete
	find . -name "*eps-converted-to.pdf" -delete
	rm -f src/bin/RNAfold_cmdl.[ch]
	rm -f aclocal.m4 src/Kinfold/aclocal.m4
	grep -rl "DO NOT MODIFY THIS FILE!  It was generated by help2man" man | xargs -r rm -f
	grep -lri "DO NOT EDIT THIS FILE." src | grep -v debian | xargs -r rm
	grep -lri "File autogenerated by gengetopt" src | grep -v debian | xargs -r rm
	grep -lri "Generated from configure.ac" . | grep -v debian | xargs -r rm
	grep -lri "generated by GNU Gengetopt" . | grep -v debian | xargs -r rm
	grep -lri "DO NOT MODIFY THIS FILE" man | grep -v debian | xargs -r rm
	grep -lri "made by GNU Bison" src | grep -v debian | xargs -r rm
	grep -lri "produced by makeinfo version" man | grep -v debian | xargs -r rm
	#rm -f src/Kinfold/INSTALL src/RNAforester/INSTALL src/RNAlocmin/RNAlocmin
	# removal of self-added symbolic links
	rm -rf src/cthreadpool/
	find . -name Makefile.in -delete
	#rm -f  config/ar-lib config/compile config/depcomp config/install-sh config/ltmain.sh config/missing config/test-driver config/texinfo.tex
	rm -f configure
	rm -f m4/libtool.m4
	rm -f src/{RNAforester,RNAlocmin,Kinfold,Kinwalker}/{compile,depcomp,install-sh,missing,aclocal.m4,ylwrap}
	rm -f src/{Kinwalker,RNAforester}/{aclocal.m4,ylwrap,install-sh
	rm  -f src/Kinfold/config.guess src/Kinfold/config.sub src/Kinfold/configure
	rm  -f src/Kinwalker/configure
	rm  -f src/RNAforester/configure src/RNAforester/g2-0.72/configure
	rm  -f src/RNAlocmin/config.guess src/RNAlocmin/config.sub src/RNAlocmin/configure
	rm -f config/ltmain.sh src/Kinfold/INSTALL src/RNAforester/INSTALL

	# removing self-created man pages
	find man/ -name "*.1" -delete


override_dh_compress:
	dh_compress --exclude=.pdf

override_dh_missing:

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://www.tbi.univie.ac.at/RNA/  .*/download/sourcecode/.*/ViennaRNA-@ANY_VERSION@@ARCHIVE_EXT@

# Alternatively use
#   https://github.com/ViennaRNA/ViennaRNA/releases

## vienna-rna 2.5.1%2Bdfsg

=== dlib/java/CMakeLists.txt ===

cmake_minimum_required (VERSION 2.8.12)
project (myproject)
set(java_package_name net.dlib)
set(source_files
   )

include(../cmake_utils/release_build_by_default)

include_directories(
   .
   )

# Additional dependencies
#add_subdirectory(../../dlib dlib_build)
#set(additional_link_libraries dlib::dlib)

# Tell swig to put the output files (the shared library and .jar) into the local folder.
set(install_target_output_folder .)

# Alternatively, instead of using install_target_output_folder, you can tell
# cmake to output the shared library, java source files, and the jar to
# separate output folders.  These commands would put them into folders thelib,
# thesrc, and thejar, respectively.
#set(install_shared_library_output_folder thelib)
#set(install_java_source_output_folder    thesrc)
#set(install_jar_output_folder            thejar)


include(cmake_swig_jni)
